Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions

# HTTPEntityTag Class Reference

A container for an "entity tag" from an HTTP server. More...

List of all members.

## Public Member Functions
| HTTPEntityTag ()
| HTTPEntityTag (HTTPEntityTag const copy)
| HTTPEntityTag (bool weak, string tag)
| This constructor accepts an explicit weak flag and a literal (not quoted) tag string.
| HTTPEntityTag (string text)
| This constructor accepts a string as formatted from an HTTP server (e.g.
int | compareTo (HTTPEntityTag const other)
| Returns a number less than zero if this HTTPEntityTag sorts before the other one, greater than zero if it sorts after, or zero if they are equivalent.
string | getString ()
| Returns the entity tag formatted for sending to an HTTP server (the tag is quoted, with a conditional W/ prefix).
string | getTag ()
| Returns the tag as a literal string.
bool | isWeak ()
| Returns true if the entity tag is marked as "weak".
bool | operator!= (HTTPEntityTag const other)
bool | operator< (HTTPEntityTag const other)
HTTPEntityTag | operator= (HTTPEntityTag const copy)
bool | operator== (HTTPEntityTag const other)
| The == operator tests object equivalence; see also strong_equiv() and weak_equiv() for the two kinds of HTTP equivalence.
| output (ostream out)
bool | strongEquiv (HTTPEntityTag const other)
| Returns true if the two tags have "strong" equivalence: they are the same tag, and both are "strong".
bool | weakEquiv (HTTPEntityTag const other)
| Returns true if the two tags have "weak" equivalence: they are the same tag, and one or both may be "weak".

## Detailed Description

A container for an "entity tag" from an HTTP server.

This is used to identify a particular version of a document or resource, particularly useful for verifying caches.

## Constructor & Destructor Documentation

HTTPEntityTag | ( |  | ) |

HTTPEntityTag | ( | HTTPEntityTag const | copy | ) |

HTTPEntityTag | ( | string | text | ) |

This constructor accepts a string as formatted from an HTTP server (e.g.

the tag is quoted, with an optional W/ prefix.)

HTTPEntityTag | ( | bool | weak,
|  | string | tag
| ) |  |

This constructor accepts an explicit weak flag and a literal (not quoted) tag string.

## Member Function Documentation

int compareTo | ( | HTTPEntityTag const | other | ) |

Returns a number less than zero if this HTTPEntityTag sorts before the other one, greater than zero if it sorts after, or zero if they are equivalent.

string getString | ( |  | ) |

Returns the entity tag formatted for sending to an HTTP server (the tag is quoted, with a conditional W/ prefix).

string getTag | ( |  | ) |

Returns the tag as a literal string.

bool isWeak | ( |  | ) |

Returns true if the entity tag is marked as "weak".

A consistent weak entity tag does not guarantee that its resource has not changed in any way, but it does promise that the resource has not changed in any semantically meaningful way.

bool operator!= | ( | HTTPEntityTag const | other | ) |

bool operator< | ( | HTTPEntityTag const | other | ) |

HTTPEntityTag operator= | ( | HTTPEntityTag const | copy | ) |

bool operator== | ( | HTTPEntityTag const | other | ) |

The == operator tests object equivalence; see also strong_equiv() and weak_equiv() for the two kinds of HTTP equivalence.

output | ( | ostream | out | ) |

bool strongEquiv | ( | HTTPEntityTag const | other | ) |

Returns true if the two tags have "strong" equivalence: they are the same tag, and both are "strong".

bool weakEquiv | ( | HTTPEntityTag const | other | ) |

Returns true if the two tags have "weak" equivalence: they are the same tag, and one or both may be "weak".

All Classes Namespaces Functions Variables Enumerations Enumerator Properties